#!/usr/bin/perl

#==============================================================================
#     (c) Copyright 2006, Hewlett-Packard, all rights reserved.
#
#     PACKAGE      HP OpenView OmniBack II
#     FILE         DPvmware_vmmapping.pl
#     RCS          $Header: /src/util/VMWareESX/DPvmware_vmmapping.pl /main/dp60_fix/dp60_patch/1 2008-06-30 11:22:46 bhasing $
#     AUTHOR       Kari Varada Raja Kumar
#
#==============================================================================


use strict;
my $vms = `vmware-cmd -l`;
my ($displayname,$vm,$name);
my @lines;
my %vm_map;
my $val = $ARGV[0];
my $flag =0;
#removing leading and trailing spaces
$val =~ s/^\s*//;
$val =~ s/\s*$//;
my @split = split("\n",$vms);
foreach $vm (@split){
open (FILEHANDLE, "$vm") or die "Cannot open file";
@lines = <FILEHANDLE>;
close(FILEHANDLE);
	foreach $name(@lines){
        	if ( $name =~ /displayName = "(.*)"/i )
        	{
			$displayname=$1;
		}
	}
$vm_map{$vm} = $displayname;
}
#/* have to handle the error condition of wrong input */
foreach my $key( keys %vm_map)
{
if ( $key eq $val ){
$flag = 1;
last;
}
elsif( $vm_map{$key} eq  $val ) {
$val = $key;
$flag = 1;
}
}
if ( $val =~ m/\.vmx$/ and $flag != 0) {
print $val;
}
else {
	print "Wrong input";
}
